> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-uddatetime.md).

# New-UDDateTime

New-UDDateTime formaterer en dato- og klokkeslætsværdi i PowerShell Universal ved hjælp af den besøgende browsers landestandard og tidszone i stedet for serverens.

### Synopsis

Denne dato- og tidskomponent bruges til at formatere datoer og klokkeslæt ved hjælp af brugerens browserindstillinger.

### Syntaks

```powershell
New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-LocalizedFormat <String>] [-Locale <String>] [<CommonParameters>]

New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-Format <String>] [-Locale <String>] [<CommonParameters>]
```

### Beskrivelse

Denne dato- og tidskomponent bruges til at formatere datoer og klokkeslæt ved hjælp af brugerens browserindstillinger. Da PowerShell-scripts i Universal Dashboard kører på serveren, tages der ikke højde for dato- og tidsindstillingerne på brugerens system. Denne komponent formaterer dato og klokkeslæt i klientens browser for at tage højde for brugerens landestandard og tidszone.

### Parametre

#### -Id

Id for denne komponent.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -InputObject

Dato- og tidsobjektet, der skal formateres.

```
Required?                    false
Position?                    1
Default value                (Get-Date)
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Format

Formatet for dato og klokkeslæt. Denne komponent bruger Day.JS. De kan få mere at vide om formateringsmuligheder i deres dokumentation: <https://day.js.org/docs/en/display/format>

```
Required?                    false
Position?                    named
Default value                DD/MM/YYYY
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LocalizedFormat

Det lokaliserede format for dato og klokkeslæt. Brug dette format, hvis De vil tage brugerens browserlandestandard og tidszoneindstillinger i betragtning.

```
Required?                    false
Position?                    named
Default value                LLL
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

Den landestandard, der skal bruges ved formatering af dato og klokkeslæt. Standardværdien er ikke angivet.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1

```powershell
New-UDDateTime -InputObject (Get-Date) -Format 'DD/MM/YYYY' -Id 'dateTime1'
```

Formaterer en dato og et klokkeslæt med formatet 'DD/MM/YYYY'

#### Eksempel 2: lokaliseret format

```powershell
New-UDDateTime -InputObject (Get-Date) -LocalizedFormat 'LLL' -Id 'dateTime2'
```

Formaterer en dato og et klokkeslæt ved hjælp af det lokaliserede format 'LLL'

#### Eksempel 3: landestandard

```powershell
New-UDDateTime -InputObject (Get-Date) -Locale 'es' -Id 'dateTime3'
```

Formaterer en dato og et klokkeslæt ved hjælp af landestandarden 'es'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-uddatetime.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
